Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.core
Class DirectoryCleaner

    java.lang.Object
      java.lang.Thread
          org.meshcms.util.DirectoryParser
              org.meshcms.core.DirectoryCleaner

All Implemented Interfaces:
  java.lang.Runnable

public class DirectoryCleaner
extends DirectoryParser

Deletes old files from a directory.

Field Summary

Fields inherited from class org.meshcms.util.DirectoryParser
`initialDir, processStartDir, recursive`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`DirectoryCleaner(java.io.File directory)` Creates a directory cleaner for the given web application to remove empty directories.
`DirectoryCleaner(java.io.File directory, long maxLifeMillis)` Creates a directory cleaner for the given web application to remove old files empty directories.

Method Summary
`protected void` | `postProcessDirectory(java.io.File file, Path path)`
`protected boolean` | `preProcess()` This method is called during the process, but before any element has been processed.
`protected void` | `processFile(java.io.File file, Path path)` This method will be called for any file found while parsing the base directory.

Methods inherited from class org.meshcms.util.DirectoryParser
`getInitialDir, isProcessStartDir, isRecursive, isSorted, postProcess, preProcessDirectory, process, run, setInitialDir, setInitialDir, setProcessStartDir, setRecursive, setSorted`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirectoryCleaner

    public DirectoryCleaner(java.io.File directory)

  Creates a directory cleaner for the given web application to remove empty directories.

### DirectoryCleaner

    public DirectoryCleaner(java.io.File directory,
                            long maxLifeMillis)

  Creates a directory cleaner for the given web application to remove old files empty directories.

Parameters:
  `maxLifeMillis` - maximum file age in milliseconds

Method Detail

### preProcess

    protected boolean preProcess()

  Description copied from class: `DirectoryParser`
  This method is called during the process, but before any element has been processed. If it returns false, no processing will take place.

  The base implementation does nothing and returns true.

  Overrides:
    `preProcess` in class `DirectoryParser`
  Returns:
    always true

### postProcessDirectory

    protected void postProcessDirectory(java.io.File file,
                                        Path path)

  Overrides:
    `postProcessDirectory` in class `DirectoryParser`

### processFile

    protected void processFile(java.io.File file,
                               Path path)

  Description copied from class: `DirectoryParser`
  This method will be called for any file found while parsing the base directory.

  Overrides:
    `processFile` in class `DirectoryParser`
  Parameters:
    `file` - the file to be processed
    `path` - the path of the file (relative to the base directory)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD